Index: c/src/lib/libbsp/bare/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/bare/include/Makefile.in	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libbsp/bare/include/Makefile.in	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -29,5 +29,6 @@
 CLOBBER_ADDITIONS +=
 
-all:	$(SRCS)
-	$(INSTALL) -m 444 $(H_FILES) $(PROJECT_INCLUDE)
-	$(INSTALL) -m 444 $(EQ_FILES) $(PROJECT_INCLUDE)
+all:	preinstall
+
+preinstall: $(SRCS)
+	@INSTALL@ $(INSTINCFLAGS) $(H_FILES) $(PROJECT_INCLUDE)
Index: c/src/lib/libbsp/sh/gensh1/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/sh/gensh1/include/Makefile.in	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libbsp/sh/gensh1/include/Makefile.in	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -31,7 +31,6 @@
 CLOBBER_ADDITIONS +=
 
-all: 	$(SRCS)
-	$(INSTALL) -m 444 $(H_FILES) $(PROJECT_INCLUDE)
-	$(INSTALL) -m 444 $(EQ_FILES) $(PROJECT_INCLUDE)
+all: 	preinstall
 
-install: all
+preinstall: $(SRCS)
+	@INSTALL@ $(INSTINCFLAGS) $(H_FILES) $(PROJECT_INCLUDE)
Index: c/src/lib/libbsp/sh/gensh1/include/bsp.h
===================================================================
--- c/src/lib/libbsp/sh/gensh1/include/bsp.h	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libbsp/sh/gensh1/include/bsp.h	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -56,5 +56,9 @@
 #define MUST_WAIT_FOR_INTERRUPT 0
 
-#define Install_tm27_vector( handler ) set_vector( (handler), 0, 1 )
+#define Install_tm27_vector( handler ) \
+{ \
+  rtems_isr_entry ignored ; \
+  rtems_interrupt_catch( (handler), 0, &ignored ) ; \
+}
 
 #define Cause_tm27_intr()
@@ -111,4 +115,5 @@
  * FIXME: Should this go to libcpu/sh/sh7032 ?
  */
+#if 0
 /* functions */
 sh_isr_entry set_vector(                    /* returns old vector */
@@ -117,4 +122,5 @@
   int                 type                      /* RTEMS or RAW intr  */
 );
+#endif
 
 #ifdef __cplusplus
Index: c/src/lib/libbsp/sh/gensh1/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/sh/gensh1/startup/Makefile.in	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libbsp/sh/gensh1/startup/Makefile.in	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -12,5 +12,5 @@
 
 # C source names, if any, go here -- minus the .c
-C_PIECES=bsplibc bsppost bspstart bspclean sbrk setvec main
+C_PIECES=bsplibc bsppost bspstart bspclean sbrk main
 C_FILES=$(C_PIECES:%=%.c)
 C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
Index: c/src/lib/libbsp/sh/shared/setvec.c
===================================================================
--- c/src/lib/libbsp/sh/shared/setvec.c	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libbsp/sh/shared/setvec.c	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -1,3 +1,7 @@
 /*  set_vector
+ *
+ *  NOTE: This function is considered OBSOLETE and may vanish soon.
+ *	Calls to set_vector should be replaced by calls to 
+ *	rtems_interrupt_catch or _CPU_ISR_install_raw_handler.
  *
  *  This routine installs an interrupt vector on the target Board/CPU.
@@ -53,3 +57,2 @@
   return previous_isr;
 }
-
Index: c/src/lib/libcpu/sh/sh7032/clock/ckinit.c
===================================================================
--- c/src/lib/libcpu/sh/sh7032/clock/ckinit.c	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libcpu/sh/sh7032/clock/ckinit.c	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -153,5 +153,5 @@
 
   if ( BSP_Configuration.ticks_per_timeslice ) {
-    Old_ticker = (rtems_isr_entry) set_vector( Clock_isr, CLOCK_VECTOR, 1 );
+    rtems_interrupt_catch( Clock_isr, CLOCK_VECTOR, &Old_ticker );
     /*
      *  Hardware specific initialize goes here
@@ -281,6 +281,8 @@
       else if (args->command == rtems_build_name('N', 'E', 'W', ' '))
 	{
+	  rtems_isr_entry	ignored ;
 	  rtems_interrupt_disable( isrlevel );
-	  (void) set_vector( args->buffer, CLOCK_VECTOR, 1 );
+	  rtems_interrupt_catch( args->buffer, CLOCK_VECTOR, &ignored );
+	  
 	  rtems_interrupt_enable( isrlevel );
 	}
Index: c/src/lib/libcpu/sh/sh7032/include/Makefile.in
===================================================================
--- c/src/lib/libcpu/sh/sh7032/include/Makefile.in	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libcpu/sh/sh7032/include/Makefile.in	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -27,5 +27,2 @@
 	test -d $(PROJECT_INCLUDE)/sh || $(MKDIR) $(PROJECT_INCLUDE)/sh 
 	$(INSTALL) -m 444 $(H_FILES) $(PROJECT_INCLUDE)/sh
-
-all: FORCEIT
-	cd ../../../../libbsp/$(RTEMS_CPU)/$(RTEMS_BSP)/include; $(MAKE) all
Index: c/src/lib/libcpu/sh/sh7032/timer/timer.c
===================================================================
--- c/src/lib/libcpu/sh/sh7032/timer/timer.c	(revision 766ed7c0f132488646599d0cd73a25ffe1eecf34)
+++ c/src/lib/libcpu/sh/sh7032/timer/timer.c	(revision 21bfd93aaff71a70ca426adb5ccd8397e7d8e5ef)
@@ -63,8 +63,8 @@
 void Timer_initialize( void )
 {
-  rtems_unsigned8 temp8;
+  rtems_unsigned8  temp8;
   rtems_unsigned16 temp16;
   rtems_unsigned32 level;
-  rtems_isr* ignored;
+  rtems_isr	   *ignored;
 
   /*
@@ -118,5 +118,5 @@
 
   /* initialize ISR */
-  ignored = set_vector( timerisr, ITU1_VECTOR, 0);
+  _CPU_ISR_install_raw_handler( ITU1_VECTOR, timerisr, &ignored );
   _CPU_ISR_Enable( level);
 
